Package org.eclipse.birt.report.model.api

# Class OdaDataSetParameterHandle

java.lang.Object
org.eclipse.birt.report.model.api.ElementDetailHandle
org.eclipse.birt.report.model.api.ValueHandle
org.eclipse.birt.report.model.api.StructureHandle
org.eclipse.birt.report.model.api.DataSetParameterHandle
org.eclipse.birt.report.model.api.OdaDataSetParameterHandle

public class OdaDataSetParameterHandle extends DataSetParameterHandle
Represents the parameter for ODA drivers. The parameter is the part of the data set definition, if defined. A parameter can be an input or output parameter. A parameter can also be input and output parameter. Each data set parameter has the following properties:

Native Name
  The name known to an ODA custom designer and runtime driver.
Parameter Name
  An optionally linked report parameter name.
Native Data Type
  Data type defined in the data set driver.

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle

`structContext`

### Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`elementHandle`

## Constructor Summary

Constructors
Constructor
Description
`OdaDataSetParameterHandle(SimpleValueHandle valueHandle, int index)`
Constructs the handle of oda data set parameter.

## Method Summary

Modifier and Type
Method
Description
`Integer`
`getNativeDataType()`
Returns the native data type.
`String`
`getNativeName()`
Returns the native name of this oda dataset parameter.
`String`
`getParamName()`
Returns the name of the report parameter which is referenced by this oda dataset parameter.
`void`
`setNativeDataType(Integer dataType)`
Sets the parameter native data type.
`void`
`setNativeName(String nativeName)`
Sets the native name for this oda dataset parameter.
`void`
`setParamName(String name)`
Sets the report parameter name which refered by this oda dataset parameter.

### Methods inherited from class org.eclipse.birt.report.model.api.DataSetParameterHandle

`allowNull, getDataType, getDefaultValue, getDescription, getDescriptionKey, getDisplayName, getDisplayNameKey, getHeading, getHeadingKey, getHelpText, getHelpTextKey, getMember, getName, getParameterDataType, getPosition, isInput, isNullable, isOptional, isOutput, setAllowNull, setDataType, setDefaultValue, setDescription, setDescriptoinKey, setDisplayName, setDisplayNameKey, setHeading, setHeadingKey, setHelpText, setHelpTextKey, setIsInput, setIsNullable, setIsOptional, setIsOutput, setName, setParameterDataType, setPosition`

### Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle

`drop, getContext, getDefn, getExpressionProperty, getExternalizedValue, getExternalizedValue, getIntProperty, getProperty, getPropertyDefn, getStringProperty, getStructure, isDesignTime, isLocal, iterator, setDesignTime, setExpressionProperty, setProperty, setPropertySilently`

### Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle

`getReference`

### Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`getDesign, getElement, getElementHandle, getModule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OdaDataSetParameterHandle

public OdaDataSetParameterHandle(SimpleValueHandle valueHandle, int index)
Constructs the handle of oda data set parameter.

Parameters:
  `valueHandle` - the value handle for oda data set parameter list of one property
  `index` - the position of this oda data set parameter in the list

## Method Details

### setParamName

public void setParamName(String name)
Sets the report parameter name which refered by this oda dataset parameter.

Parameters:
  `name` - report parameter name.

### setNativeName

public void setNativeName(String nativeName)
Sets the native name for this oda dataset parameter.

Parameters:
  `nativeName` - native name

### getParamName

public String getParamName()
Returns the name of the report parameter which is referenced by this oda dataset parameter. Null if there is no report parameter referenced.

Returns:
  report parameter name.

### getNativeName

public String getNativeName()
Returns the native name of this oda dataset parameter.

Returns:
  the native name

### getNativeDataType

public Integer getNativeDataType()
Returns the native data type.

Overrides:
  `getNativeDataType` in class `DataSetParameterHandle`
Returns:
  the parameter native data type.

### setNativeDataType

public void setNativeDataType(Integer dataType)
Sets the parameter native data type.

Overrides:
  `setNativeDataType` in class `DataSetParameterHandle`
Parameters:
  `dataType` - the native data type to set.